%define name %{realname}%{major}
%define version 0.99.10
%define release 2mdk
%define summary A library for controlling CD-ROM devices
%define major 1
%define realname libcdaudio
%define libname %mklibname cdaudio %major

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
License:	GPL
Group:		Sound
Source0		ftp://cdcd.undergrid.net/libcdaudio/%{realname}-%{version}.tar.bz2
Source1:	.cdserverrc.bz2
URL:		http://cdcd.undergrid.net/libcdaudio/
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

Summary:        %{summary}
Group:          Sound

Obsoletes:	%{realname}
Provides:	%{realname} = %{version}

%description
libcdaudio is a library for controlling CD-ROM devices

%if %_lib != lib
%package -n %libname
Group:System/Libraries
Summary: %summary

%description -n %libname
libcdaudio is a library for controlling CD-ROM devices
%endif

%package -n %{libname}-devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%release
Obsoletes:	%{realname}-devel = %{version}-%release
Provides:	%{realname}-devel = %{version}-%release

%description -n %{libname}-devel
This package contains the headers that programmers will need to develop 
applications which will use %{name}.

%prep
%setup -n %realname-%version -q
bzcat %{SOURCE1} > .cdserverrc

%build
%define __libtoolize true
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
%multiarch_binaries %buildroot%_bindir/libcdaudio-config

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname
/sbin/ldconfig
echo "copy %{_docdir}/%{name}-%{version}/.cdserverrc into your home directory, and configure it for using libcdaudio CDDB functions"

%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr (-,root,root)
%doc README NEWS AUTHORS COPYING ChangeLog .cdserverrc
%{_libdir}/lib*.so.*

%files -n %libname-devel
%defattr (-,root,root)
%_bindir/libcdaudio-config
%multiarch %_bindir/*/libcdaudio-config
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_datadir}/aclocal/*
%_libdir/pkgconfig/libcdaudio.pc

%changelog
* Mon Feb  7 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.99.10-2mdk
- multiarch

* Tue Apr  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.10-1mdk
- add pkgconfig file
- use mklibname
- autoconf2.5 macro
- don't run libtoolize
- new version

* Tue Apr 01 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.99.9-1mdk
- 0.99.9

* Fri Jan 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.99.6-2mdk
- rebuild

* Tue Mar 05 2002  Lenny Cartier <lenny@mandrakesoft.com> 0.99.6-1mdk
- 0.99.6

* Tue Jan 22 2002 Frdric Crozat <fred@crozat.net> 0.99.4-7mdk
- Clean specfile
- Add missing files

* Thu Jun 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.99.4-6mdk
- rebuild
- obsoletes libcdaudio

* Thu Dec 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.99.4-5mdk
- used srpm from Guillaume Rousse <g.rousse@linux-mandrake.com> :
	- spec minor cleanup

* Tue Dec 19 2000 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.99.4-4mdk
- add default configuration file 
- added devel package for headers and static libs

* Wed Aug 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.99.4-3mdk
- BM
- macros
- fix URL

* Tue May 02 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.99.4-2mdk
- fix group

* Thu Feb 08 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.99.4-1mdk
- mandrake build
- v0.99.4
